.\"	$Id: mime.types.man,v 1.1 1997/11/16 00:28:02 malc Exp $
.TH MIME.TYPES %SEC5%
.SH NAME
mime.types \- list of known MIME content-types, as used by af
.SH DESCRIPTION
The 
.I mime.types
file lists the known MIME content-types, and the filename suffixes
which indicate that a given file is probably of that type.
.PP
Af uses this information to default the MIME type when sending a file.
It is also used as the list of possible completions when af prompts
for a MIME content-type.
.PP
Lines in the file which start with a '#' are treated as comments and
ignored, as are blank lines.  Each other line starts with a MIME
content-type.  The content-type may be followed by one or more
suffixes, each separated by blank space.  Each suffix indicates that a
file with that suffix will default to the specified content-type.
.SH EXAMPLE
.RS 4n
.nf
# A partial mime.types file

# The basic text types
text/plain         txt
text/enriched
text/html          html htm

# Some multimedia types
audio/basic        au snd
image/gif          gif
image/jpeg         jpeg jpg
video/mpeg         mpeg mpg
.fi
.SH FILES
$HOME/.mime.types
user's list of MIME types.
.TP
%ETCDIR%/mime.types
global list of MIME types for af.
.TP
/etc/mime.types,
.br
.ns
.TP
/usr/etc/mime.types,
.br
.ns
.TP
/usr/local/etc/mime.types
.br
global lists of MIME types for all mailers.
.PD
.SH AUTHOR
Malc Arnold, based on a common standard used by several mail readers.
.SH SEE ALSO
af(%SEC1%), ``The Af Reference Manual''.
